Bug 1773601 - Publishing a new version of Content view is slow and taking huge time in Satellite 6.6.
Summary: Publishing a new version of Content view is slow and taking huge time in Sate...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.6.0
Hardware: All
OS: Linux
unspecified
high vote
Target Milestone: 6.7.0
Assignee: Partha Aji
QA Contact: Lai
URL:
Whiteboard:
: 1770940 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-18 14:41 UTC by Gourav Padholia
Modified: 2020-04-24 15:46 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1814426 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:27:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
Content view publish task (5.08 MB, application/gzip)
2019-11-18 14:41 UTC, Gourav Padholia
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28677 Normal Closed Publishing a new version of Content view is slow and taking huge time 2020-06-01 15:48:29 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description Gourav Padholia 2019-11-18 14:41:07 UTC
Created attachment 1637334 [details]
Content view publish task

Description of problem:
Publishing a new version of the content view is slow in Satellite 6.6 as compare to the previous version of Satellite.  

Version-Release number of selected component (if applicable):
Red Hat Satellite 6.6

How reproducible:
Always

Steps to Reproduce:
1. Create a Content View in Satellite 6.6.
2. Add the repositories in the Content view. 
3. Publish a new version of the Content view. 

Actual results:
Content view publish task is taking huge time at Actions::Pulp::Repository::DistributorPublish and Actions::Katello::Repository::PurgeEmptyContent.

Expected results:
In previous version of Satellite content view publish taking less time as compare to the Satellite 6.6 with the same configuration and same repositories. 

Additional info:
1. After Publishing a new version of content view, promote to the next lifecycle environment is working expected.
2. Resolve dependency feature is not enabled on the content view.

Comment 3 Brad Buckingham 2019-11-21 21:27:40 UTC
This appears to be similar to bug 1770940.  Any objection to close this one as a duplicate and we can track with the current investigation in that bug?

Comment 5 Partha Aji 2020-01-07 20:19:01 UTC
*** Bug 1770940 has been marked as a duplicate of this bug. ***

Comment 6 Partha Aji 2020-01-07 22:44:49 UTC
Connecting redmine issue https://projects.theforeman.org/issues/28677 from this bug

Comment 7 Bryan Kearney 2020-01-07 23:01:51 UTC
Upstream bug assigned to paji@redhat.com

Comment 8 Bryan Kearney 2020-01-07 23:01:53 UTC
Upstream bug assigned to paji@redhat.com

Comment 9 Bryan Kearney 2020-01-09 21:01:53 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28677 has been resolved.

Comment 17 Lai 2020-02-11 15:52:26 UTC
Steps to Test:
1. Create a Content View
2. Add the repositories in the Content view. 
3. Publish a new version of the Content view. 

Actual results:
Content view publish takes less than 10 minutes to publish.

Expected results:
Content view publish takes less than 10 minutes to publish.

Note: I have tested this with a variety of custom repos.  I have tested a small pulp repo which took 7 seconds.  I have tested a 2k packages repo that took 51 seconds.  I have tested 20k packages repo that took 9 minutes.  This is significantly faster than the 15+ minutes it took to publish a cv in this issue.

Custom repos I've used include: pulp, centosAppstream, RHEL8 baseOS & Appstream, and RHEL7 server.

Tested on 6.7.0_011.  Marking issue as verified.

Comment 19 wclark 2020-02-13 20:09:02 UTC
Hotfix is available for Satellite 6.6.2. To obtain it:

1. Open a support case, as the HF RPMs are too large to be provided as Bugzilla attachments

2. Make a complete backup or snapshot of Satellite server

3. Copy the hotfix RPMs to Satellite server

4. # satellite-maintain packages unlock

5. # yum install tfm-rubygem-katello-3.12.0.37-2.HOTFIXRHBZ1721679RHBZ1773601.el7sat.noarch.rpm

6. # satellite-maintain packages lock

7. # systemctl restart dynflowd httpd

NOTE: this Hotfix also includes https://bugzilla.redhat.com/show_bug.cgi?id=1721679

Comment 25 errata-xmlrpc 2020-04-14 13:27:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.